diff --git a/src/sbus/sssd_dbus_connection.c b/src/sbus/sssd_dbus_connection.c
index ccea88e..60b06a4 100644
--- a/src/sbus/sssd_dbus_connection.c
+++ b/src/sbus/sssd_dbus_connection.c
@@ -54,15 +54,15 @@ static void sbus_dispatch(struct tevent_context *ev,
     conn = talloc_get_type(data, struct sbus_connection);
 
     dbus_conn = conn->dbus.conn;
-    DEBUG(SSSDBG_TRACE_ALL, ("dbus conn: %p\n", dbus_conn));
+    DEBUG(SSSDBG_TRACE_ALL, "dbus conn: %p\n", dbus_conn);
 
     if (conn->retries > 0) {
-        DEBUG(6, ("SBUS is reconnecting. Deferring.\n"));
+        DEBUG(6, "SBUS is reconnecting. Deferring.\n");
         /* Currently trying to reconnect, defer dispatch for 30ms */
         tv = tevent_timeval_current_ofs(0, 30);
         new_event = tevent_add_timer(ev, conn, tv, sbus_dispatch, conn);
         if (new_event == NULL) {
-            DEBUG(0,("Could not defer dispatch!\n"));
+            DEBUG(0,"Could not defer dispatch!\n");
         }
         return;
     }
@@ -72,11 +72,11 @@ static void sbus_dispatch(struct tevent_context *ev,
         /* Attempt to reconnect automatically */
         ret = sbus_auto_reconnect(conn);
         if (ret == EOK) {
-            DEBUG(1, ("Performing auto-reconnect\n"));
+            DEBUG(1, "Performing auto-reconnect\n");
             return;
         }
 
-        DEBUG(0, ("Cannot start auto-reconnection.\n"));
+        DEBUG(0, "Cannot start auto-reconnection.\n");
         conn->reconnect_callback(conn,
                                  SBUS_RECONNECT_ERROR,
                                  conn->reconnect_pvt);
@@ -85,7 +85,7 @@ static void sbus_dispatch(struct tevent_context *ev,
 
     if ((conn->disconnect) ||
         (!dbus_connection_get_is_connected(dbus_conn))) {
-        DEBUG(3,("Connection is not open for dispatching.\n"));
+        DEBUG(3,"Connection is not open for dispatching.\n");
         /*
          * Free the connection object.
          * This will invoke the destructor for the connection
@@ -100,7 +100,7 @@ static void sbus_dispatch(struct tevent_context *ev,
      */
     ret = dbus_connection_get_dispatch_status(dbus_conn);
     if (ret != DBUS_DISPATCH_COMPLETE) {
-        DEBUG(9,("Dispatching.\n"));
+        DEBUG(9,"Dispatching.\n");
         dbus_connection_dispatch(dbus_conn);
     }
 
@@ -111,7 +111,7 @@ static void sbus_dispatch(struct tevent_context *ev,
     if (ret != DBUS_DISPATCH_COMPLETE) {
         new_event = tevent_add_timer(ev, conn, tv, sbus_dispatch, conn);
         if (new_event == NULL) {
-            DEBUG(2,("Could not add dispatch event!\n"));
+            DEBUG(2,"Could not add dispatch event!\n");
 
             /* TODO: Calling exit here is bad */
             exit(1);
@@ -139,7 +139,7 @@ static void sbus_conn_wakeup_main(void *data)
     /* D-BUS calls this function when it is time to do a dispatch */
     te = tevent_add_timer(conn->ev, conn, tv, sbus_dispatch, conn);
     if (te == NULL) {
-        DEBUG(2,("Could not add dispatch event!\n"));
+        DEBUG(2,"Could not add dispatch event!\n");
         /* TODO: Calling exit here is bad */
         exit(1);
     }
@@ -162,7 +162,7 @@ int sbus_init_connection(TALLOC_CTX *ctx,
     struct sbus_connection *conn;
     int ret;
 
-    DEBUG(SSSDBG_TRACE_FUNC,("Adding connection %p\n", dbus_conn));
+    DEBUG(SSSDBG_TRACE_FUNC,"Adding connection %p\n", dbus_conn);
     conn = talloc_zero(ctx, struct sbus_connection);
 
     conn->ev = ev;
@@ -204,7 +204,7 @@ static int sbus_conn_set_fns(struct sbus_connection *conn)
                                                 sbus_toggle_watch,
                                                 conn, NULL);
     if (!dbret) {
-        DEBUG(2,("Error setting up D-BUS connection watch functions\n"));
+        DEBUG(2,"Error setting up D-BUS connection watch functions\n");
         return EIO;
     }
 
@@ -215,7 +215,7 @@ static int sbus_conn_set_fns(struct sbus_connection *conn)
                                                   sbus_toggle_timeout,
                                                   conn, NULL);
     if (!dbret) {
-        DEBUG(2,("Error setting up D-BUS server timeout functions\n"));
+        DEBUG(2,"Error setting up D-BUS server timeout functions\n");
         /* FIXME: free resources ? */
         return EIO;
     }
@@ -251,8 +251,8 @@ int sbus_new_connection(TALLOC_CTX *ctx, struct tevent_context *ev,
     /* Open a shared D-BUS connection to the address */
     dbus_conn = dbus_connection_open(address, &dbus_error);
     if (!dbus_conn) {
-        DEBUG(1, ("Failed to open connection: name=%s, message=%s\n",
-                dbus_error.name, dbus_error.message));
+        DEBUG(1, "Failed to open connection: name=%s, message=%s\n",
+                dbus_error.name, dbus_error.message);
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         return EIO;
     }
@@ -296,8 +296,8 @@ int sbus_default_connection_destructor(void *ctx)
     struct sbus_connection *conn;
     conn = talloc_get_type(ctx, struct sbus_connection);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Invoking default destructor on connection %p\n",
-              conn->dbus.conn));
+    DEBUG(SSSDBG_TRACE_FUNC, "Invoking default destructor on connection %p\n",
+              conn->dbus.conn);
     if (conn->connection_type == SBUS_CONN_TYPE_PRIVATE) {
         /* Private connections must be closed explicitly */
         dbus_connection_close(conn->dbus.conn);
@@ -307,7 +307,7 @@ int sbus_default_connection_destructor(void *ctx)
     }
     else {
         /* Critical Error! */
-        DEBUG(1,("Critical Error, connection_type is neither shared nor private!\n"));
+        DEBUG(1,"Critical Error, connection_type is neither shared nor private!\n");
         return -1;
     }
 
@@ -334,7 +334,7 @@ void sbus_disconnect (struct sbus_connection *conn)
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Disconnecting %p\n", conn->dbus.conn));
+    DEBUG(SSSDBG_TRACE_FUNC, "Disconnecting %p\n", conn->dbus.conn);
 
     /*******************************
      *  Referencing conn->dbus.conn */
@@ -374,7 +374,7 @@ void sbus_disconnect (struct sbus_connection *conn)
     /* Unreferenced conn->dbus_conn *
      ******************************/
 
-    DEBUG(SSSDBG_TRACE_FUNC ,("Disconnected %p\n", conn->dbus.conn));
+    DEBUG(SSSDBG_TRACE_FUNC ,"Disconnected %p\n", conn->dbus.conn);
 }
 
 static int sbus_reply_internal_error(DBusMessage *message,
@@ -410,7 +410,7 @@ DBusHandlerResult sbus_message_handler(DBusConnection *dbus_conn,
     intf_p = talloc_get_type(user_data, struct sbus_interface_p);
 
     method = dbus_message_get_member(message);
-    DEBUG(9, ("Received SBUS method [%s]\n", method));
+    DEBUG(9, "Received SBUS method [%s]\n", method);
     path = dbus_message_get_path(message);
     msg_interface = dbus_message_get_interface(message);
 
@@ -437,7 +437,7 @@ DBusHandlerResult sbus_message_handler(DBusConnection *dbus_conn,
 
         if (!found) {
             /* Reply DBUS_ERROR_UNKNOWN_METHOD */
-            DEBUG(1, ("No matching method found for %s.\n", method));
+            DEBUG(1, "No matching method found for %s.\n", method);
             reply = dbus_message_new_error(message, DBUS_ERROR_UNKNOWN_METHOD, NULL);
             sbus_conn_send_reply(intf_p->conn, reply);
             dbus_message_unref(reply);
@@ -484,7 +484,7 @@ int sbus_conn_add_interface(struct sbus_connection *conn,
     path = intf->path;
 
     if (path_in_interface_list(conn->intf_list, path)) {
-        DEBUG(0, ("Cannot add method context with identical path.\n"));
+        DEBUG(0, "Cannot add method context with identical path.\n");
         return EINVAL;
     }
 
@@ -500,7 +500,7 @@ int sbus_conn_add_interface(struct sbus_connection *conn,
     dbret = dbus_connection_register_object_path(conn->dbus.conn,
                                                  path, &intf->vtable, intf_p);
     if (!dbret) {
-        DEBUG(0, ("Could not register object path to the connection.\n"));
+        DEBUG(0, "Could not register object path to the connection.\n");
         return ENOMEM;
     }
 
@@ -561,12 +561,12 @@ static void sbus_reconnect(struct tevent_context *ev,
     conn = talloc_get_type(data, struct sbus_connection);
     dbus_error_init(&dbus_error);
 
-    DEBUG(3, ("Making reconnection attempt %d to [%s]\n",
-              conn->retries, conn->address));
+    DEBUG(3, "Making reconnection attempt %d to [%s]\n",
+              conn->retries, conn->address);
     conn->dbus.conn = dbus_connection_open(conn->address, &dbus_error);
     if (conn->dbus.conn) {
         /* We successfully reconnected. Set up mainloop integration. */
-        DEBUG(3, ("Reconnected to [%s]\n", conn->address));
+        DEBUG(3, "Reconnected to [%s]\n", conn->address);
         ret = sbus_conn_set_fns(conn);
         if (ret != EOK) {
             dbus_connection_unref(conn->dbus.conn);
@@ -581,7 +581,7 @@ static void sbus_reconnect(struct tevent_context *ev,
                                                          &iter->intf->vtable,
                                                          iter);
             if (!dbret) {
-                DEBUG(0, ("Could not register object path.\n"));
+                DEBUG(0, "Could not register object path.\n");
                 dbus_connection_unref(conn->dbus.conn);
                 goto failed;
             }
@@ -602,8 +602,8 @@ static void sbus_reconnect(struct tevent_context *ev,
 
 failed:
     /* Reconnection failed, try again in a few seconds */
-    DEBUG(1, ("Failed to open connection: name=%s, message=%s\n",
-                dbus_error.name, dbus_error.message));
+    DEBUG(1, "Failed to open connection: name=%s, message=%s\n",
+                dbus_error.name, dbus_error.message);
     if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
 
     conn->retries++;
@@ -708,7 +708,7 @@ int sbus_conn_send(struct sbus_connection *conn,
 
     dbus_conn = sbus_get_connection(conn);
     if (!dbus_conn) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
         return ENOTCONN;
     }
 
@@ -720,7 +720,7 @@ int sbus_conn_send(struct sbus_connection *conn,
          * Critical Failure
          * Insufficient memory to send message
          */
-        DEBUG(0, ("D-BUS send failed.\n"));
+        DEBUG(0, "D-BUS send failed.\n");
         return ENOMEM;
     }
 
@@ -733,7 +733,7 @@ int sbus_conn_send(struct sbus_connection *conn,
              * Critical Failure
              * Insufficient memory to create pending call notify
              */
-            DEBUG(0, ("D-BUS send failed.\n"));
+            DEBUG(0, "D-BUS send failed.\n");
             dbus_pending_call_cancel(pending_reply);
             dbus_pending_call_unref(pending_reply);
             return ENOMEM;
diff --git a/src/sbus/sssd_dbus_server.c b/src/sbus/sssd_dbus_server.c
index 3ada25b..0278137 100644
--- a/src/sbus/sssd_dbus_server.c
+++ b/src/sbus/sssd_dbus_server.c
@@ -45,25 +45,25 @@ static void sbus_server_init_new_connection(DBusServer *dbus_server,
     struct sbus_connection *conn;
     int ret;
 
-    DEBUG(5,("Entering.\n"));
+    DEBUG(5,"Entering.\n");
     server = talloc_get_type(data, struct sbus_connection);
     if (!server) {
         return;
     }
 
-    DEBUG(5,("Adding connection %p.\n", dbus_conn));
+    DEBUG(5,"Adding connection %p.\n", dbus_conn);
     ret = sbus_init_connection(server, server->ev,
                                dbus_conn, server->server_intf,
                                SBUS_CONN_TYPE_PRIVATE, &conn);
     if (ret != 0) {
         dbus_connection_close(dbus_conn);
-        DEBUG(5,("Closing connection (failed setup)"));
+        DEBUG(5,"Closing connection (failed setup)");
         return;
     }
 
     dbus_connection_ref(dbus_conn);
 
-    DEBUG(5,("Got a connection\n"));
+    DEBUG(5,"Got a connection\n");
 
     /*
      * Initialize connection-specific features
@@ -75,7 +75,7 @@ static void sbus_server_init_new_connection(DBusServer *dbus_server,
      */
     ret = server->srv_init_fn(conn, server->srv_init_data);
     if (ret != EOK) {
-        DEBUG(1,("Initialization failed!\n"));
+        DEBUG(1,"Initialization failed!\n");
         dbus_connection_close(dbus_conn);
         talloc_zfree(conn);
     }
@@ -97,8 +97,8 @@ create_socket_symlink(const char *filename, const char *symlink_filename)
 {
     errno_t ret;
 
-    DEBUG(7, ("Symlinking the dbus path %s to a link %s\n",
-              filename, symlink_filename));
+    DEBUG(7, "Symlinking the dbus path %s to a link %s\n",
+              filename, symlink_filename);
     errno = 0;
     ret = symlink(filename, symlink_filename);
     if (ret != 0 && errno == EEXIST) {
@@ -107,8 +107,8 @@ create_socket_symlink(const char *filename, const char *symlink_filename)
         ret = unlink(symlink_filename);
         if (ret != 0) {
             ret = errno;
-            DEBUG(1, ("Cannot remove old symlink: [%d][%s].\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "Cannot remove old symlink: [%d][%s].\n",
+                      ret, strerror(ret));
             return EIO;
         }
         errno = 0;
@@ -117,8 +117,8 @@ create_socket_symlink(const char *filename, const char *symlink_filename)
 
     if (ret != 0) {
         ret = errno;
-        DEBUG(1, ("symlink() failed on file '%s': [%d][%s].\n",
-                  filename, ret, strerror(ret)));
+        DEBUG(1, "symlink() failed on file '%s': [%d][%s].\n",
+                  filename, ret, strerror(ret));
         return EIO;
     }
 
@@ -137,28 +137,28 @@ remove_socket_symlink(const char *symlink_name)
     numread = readlink(symlink_name, target, PATH_MAX-1);
     if (numread < 0) {
         ret = errno;
-        DEBUG(2, ("readlink failed [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(2, "readlink failed [%d]: %s\n", ret, strerror(ret));
         return ret;
     }
     target[numread] = '\0';
-    DEBUG(9, ("The symlink points to [%s]\n", target));
+    DEBUG(9, "The symlink points to [%s]\n", target);
 
     /* We can only remove the symlink if it points to a socket with
      * the same PID */
     ret = snprintf(pidpath, PATH_MAX, "%s.%lu",
                    symlink_name, (unsigned long) getpid());
     if (ret < 0) {
-        DEBUG(2, ("snprintf failed"));
+        DEBUG(2, "snprintf failed");
         return EIO;
     } else if (ret >= PATH_MAX) {
-        DEBUG(2, ("path too long?!?!\n"));
+        DEBUG(2, "path too long?!?!\n");
         return EIO;
     }
-    DEBUG(9, ("The path including our pid is [%s]\n", pidpath));
+    DEBUG(9, "The path including our pid is [%s]\n", pidpath);
 
     if (strcmp(pidpath, target) != 0) {
-        DEBUG(4, ("Will not remove symlink, seems to be owned by "
-                  "another process\n"));
+        DEBUG(4, "Will not remove symlink, seems to be owned by "
+                  "another process\n");
         return EOK;
     }
 
@@ -166,12 +166,12 @@ remove_socket_symlink(const char *symlink_name)
     if (ret != 0) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("unlink failed to remove [%s] [%d]: %s\n",
-               symlink_name, ret, strerror(ret)));
+              "unlink failed to remove [%s] [%d]: %s\n",
+               symlink_name, ret, strerror(ret));
         return ret;
     }
 
-    DEBUG(9, ("Removed the symlink\n"));
+    DEBUG(9, "Removed the symlink\n");
     return EOK;
 }
 
@@ -216,8 +216,8 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
     dbus_error_init(&dbus_error);
     dbus_server = dbus_server_listen(socket_address, &dbus_error);
     if (!dbus_server) {
-        DEBUG(1,("dbus_server_listen failed! (name=%s, message=%s)\n",
-                 dbus_error.name, dbus_error.message));
+        DEBUG(1,"dbus_server_listen failed! (name=%s, message=%s)\n",
+                 dbus_error.name, dbus_error.message);
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         ret = EIO;
         goto done;
@@ -225,7 +225,7 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
 
     filename = strchr(socket_address, '/');
     if (filename == NULL) {
-        DEBUG(1, ("Unexpected dbus address [%s].\n", socket_address));
+        DEBUG(1, "Unexpected dbus address [%s].\n", socket_address);
         ret = EIO;
         goto done;
     }
@@ -233,15 +233,15 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
     if (use_symlink) {
         symlink_filename = strchr(address, '/');
         if (symlink_filename == NULL) {
-            DEBUG(1, ("Unexpected dbus address [%s].\n", address));
+            DEBUG(1, "Unexpected dbus address [%s].\n", address);
             ret = EIO;
             goto done;
         }
 
         ret = create_socket_symlink(filename, symlink_filename);
         if (ret != EOK) {
-            DEBUG(1, ("Could not create symlink [%d]: %s\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "Could not create symlink [%d]: %s\n",
+                      ret, strerror(ret));
             ret = EIO;
             goto done;
         }
@@ -251,7 +251,7 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
      * the socket */
     ret = check_file(filename, 0, 0, -1, CHECK_SOCK, &stat_buf, true);
     if (ret != EOK) {
-        DEBUG(1, ("check_file failed for [%s].\n", filename));
+        DEBUG(1, "check_file failed for [%s].\n", filename);
         ret = EIO;
         goto done;
     }
@@ -259,15 +259,15 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
     if ((stat_buf.st_mode & ~S_IFMT) != 0600) {
         ret = chmod(filename, 0600);
         if (ret != EOK) {
-            DEBUG(1, ("chmod failed for [%s]: [%d][%s].\n", filename, errno,
-                                                         strerror(errno)));
+            DEBUG(1, "chmod failed for [%s]: [%d][%s].\n", filename, errno,
+                                                         strerror(errno));
             ret = EIO;
             goto done;
         }
     }
 
     tmp = dbus_server_get_address(dbus_server);
-    DEBUG(SSSDBG_TRACE_FUNC, ("D-BUS Server listening on %s\n", tmp));
+    DEBUG(SSSDBG_TRACE_FUNC, "D-BUS Server listening on %s\n", tmp);
     free(tmp);
 
     server = talloc_zero(tmp_ctx, struct sbus_connection);
@@ -305,7 +305,7 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
                                             sbus_toggle_watch,
                                             server, NULL);
     if (!dbret) {
-        DEBUG(4, ("Error setting up D-BUS server watch functions\n"));
+        DEBUG(4, "Error setting up D-BUS server watch functions\n");
         ret = EIO;
         goto done;
     }
@@ -317,7 +317,7 @@ int sbus_new_server(TALLOC_CTX *mem_ctx,
                                               sbus_toggle_timeout,
                                               server, NULL);
     if (!dbret) {
-        DEBUG(4,("Error setting up D-BUS server timeout functions\n"));
+        DEBUG(4,"Error setting up D-BUS server timeout functions\n");
         dbus_server_set_watch_functions(server->dbus.server,
                                         NULL, NULL, NULL, NULL, NULL);
         ret = EIO;
@@ -345,7 +345,7 @@ static int sbus_server_destructor(void *ctx)
     if (server->symlink) {
         ret = remove_socket_symlink(server->symlink);
         if (ret != EOK) {
-            DEBUG(3, ("Could not remove the server symlink\n"));
+            DEBUG(3, "Could not remove the server symlink\n");
         }
     }
 
diff --git a/src/sss_client/ssh/sss_ssh_authorizedkeys.c b/src/sss_client/ssh/sss_ssh_authorizedkeys.c
index bc991a8..89eda23 100644
--- a/src/sss_client/ssh/sss_ssh_authorizedkeys.c
+++ b/src/sss_client/ssh/sss_ssh_authorizedkeys.c
@@ -53,7 +53,7 @@ int main(int argc, const char **argv)
     ret = set_locale();
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("set_locale() failed (%d): %s\n", ret, strerror(ret)));
+              "set_locale() failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -88,7 +88,7 @@ int main(int argc, const char **argv)
                           pc_user, pc_domain, NULL, &ent);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("sss_ssh_get_ent() failed (%d): %s\n", ret, strerror(ret)));
+              "sss_ssh_get_ent() failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error looking up public keys\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -99,8 +99,8 @@ int main(int argc, const char **argv)
         ret = sss_ssh_format_pubkey(mem_ctx, &ent->pubkeys[i], &repr);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sss_ssh_format_pubkey() failed (%d): %s\n",
-                    ret, strerror(ret)));
+                  "sss_ssh_format_pubkey() failed (%d): %s\n",
+                    ret, strerror(ret));
             continue;
         }
 
diff --git a/src/sss_client/ssh/sss_ssh_knownhostsproxy.c b/src/sss_client/ssh/sss_ssh_knownhostsproxy.c
index e2202b1..adb8228 100644
--- a/src/sss_client/ssh/sss_ssh_knownhostsproxy.c
+++ b/src/sss_client/ssh/sss_ssh_knownhostsproxy.c
@@ -54,16 +54,16 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
     flags = fcntl(0, F_GETFL);
     if (flags == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("fcntl() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "fcntl() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
     ret = fcntl(0, F_SETFL, flags | O_NONBLOCK);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("fcntl() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "fcntl() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
@@ -71,8 +71,8 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
     sock = socket(family, SOCK_STREAM, IPPROTO_TCP);
     if (sock == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("socket() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "socket() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
@@ -80,8 +80,8 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
     ret = connect(sock, addr, addr_len);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("connect() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "connect() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
@@ -89,16 +89,16 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
     flags = fcntl(sock, F_GETFL);
     if (flags == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("fcntl() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "fcntl() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
     ret = fcntl(sock, F_SETFL, flags | O_NONBLOCK);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_OP_FAILURE, ("fcntl() failed (%d): %s\n",
-                ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "fcntl() failed (%d): %s\n",
+                ret, strerror(ret));
         goto done;
     }
 
@@ -115,7 +115,7 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
                 continue;
             }
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("poll() failed (%d): %s\n", ret, strerror(ret)));
+                  "poll() failed (%d): %s\n", ret, strerror(ret));
             goto done;
         }
 
@@ -130,7 +130,7 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
                         continue;
                     }
                     DEBUG(SSSDBG_OP_FAILURE,
-                          ("read() failed (%d): %s\n", ret, strerror(ret)));
+                          "read() failed (%d): %s\n", ret, strerror(ret));
                     goto done;
                 } else if (res == 0) {
                     ret = EOK;
@@ -142,8 +142,8 @@ connect_socket(int family, struct sockaddr *addr, size_t addr_len)
                 ret = errno;
                 if (res == -1) {
                     DEBUG(SSSDBG_OP_FAILURE,
-                          ("sss_atomic_write_s() failed (%d): %s\n",
-                           ret, strerror(ret)));
+                          "sss_atomic_write_s() failed (%d): %s\n",
+                           ret, strerror(ret));
                     goto done;
                 } else if (ret == EPIPE) {
                     ret = EOK;
@@ -172,8 +172,8 @@ connect_proxy_command(char **args)
     execv(args[0], (char * const *)args);
 
     ret = errno;
-    DEBUG(SSSDBG_OP_FAILURE, ("execv() failed (%d): %s\n",
-            ret, strerror(ret)));
+    DEBUG(SSSDBG_OP_FAILURE, "execv() failed (%d): %s\n",
+            ret, strerror(ret));
 
     return ret;
 }
@@ -210,14 +210,14 @@ int main(int argc, const char **argv)
     ret = set_locale();
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("set_locale() failed (%d): %s\n", ret, strerror(ret)));
+              "set_locale() failed (%d): %s\n", ret, strerror(ret));
         ret = EXIT_FAILURE;
         goto fini;
     }
 
     mem_ctx = talloc_new(NULL);
     if (!mem_ctx) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Not enough memory\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Not enough memory\n");
         ret = EXIT_FAILURE;
         goto fini;
     }
@@ -266,7 +266,7 @@ int main(int argc, const char **argv)
         ret = getaddrinfo(pc_host, strport, &ai_hint, &ai);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("getaddrinfo() failed (%d): %s\n", ret, gai_strerror(ret)));
+                  "getaddrinfo() failed (%d): %s\n", ret, gai_strerror(ret));
         } else {
             host = ai[0].ai_canonname;
         }
@@ -275,7 +275,7 @@ int main(int argc, const char **argv)
                           canonhost, NI_MAXHOST, NULL, 0, NI_NAMEREQD);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("getnameinfo() failed (%d): %s\n", ret, gai_strerror(ret)));
+                  "getnameinfo() failed (%d): %s\n", ret, gai_strerror(ret));
         } else {
             host = canonhost;
         }
@@ -287,7 +287,7 @@ int main(int argc, const char **argv)
                               host, pc_domain, pc_host, &ent);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("sss_ssh_get_ent() failed (%d): %s\n", ret, strerror(ret)));
+                  "sss_ssh_get_ent() failed (%d): %s\n", ret, strerror(ret));
         }
     }
 
diff --git a/src/tests/auth-tests.c b/src/tests/auth-tests.c
index 02fb39c..1a93eb1 100644
--- a/src/tests/auth-tests.c
+++ b/src/tests/auth-tests.c
@@ -88,7 +88,7 @@ static int setup_sysdb_tests(struct sysdb_test_ctx **ctx)
         talloc_free(test_ctx);
         return ENOMEM;
     }
-    DEBUG(3, ("CONFDB: %s\n", conf_db));
+    DEBUG(3, "CONFDB: %s\n", conf_db);
 
     /* Connect to the conf db */
     ret = confdb_init(test_ctx, &test_ctx->confdb, conf_db);
diff --git a/src/tests/cmocka/test_dyndns.c b/src/tests/cmocka/test_dyndns.c
index f819dc9..66b2409 100644
--- a/src/tests/cmocka/test_dyndns.c
+++ b/src/tests/cmocka/test_dyndns.c
@@ -66,25 +66,25 @@ void __wrap_execv(const char *path, char *const argv[])
 
     switch (dyndns_test_ctx->state) {
         case MOCK_NSUPDATE_OK:
-            DEBUG(SSSDBG_FUNC_DATA, ("nsupdate success test case\n"));
+            DEBUG(SSSDBG_FUNC_DATA, "nsupdate success test case\n");
             err = 0;
             break;
         case MOCK_NSUPDATE_ERR:
-            DEBUG(SSSDBG_FUNC_DATA, ("nsupdate error test case\n"));
+            DEBUG(SSSDBG_FUNC_DATA, "nsupdate error test case\n");
             err = 1;
             break;
         case MOCK_NSUPDATE_TIMEOUT:
-            DEBUG(SSSDBG_FUNC_DATA, ("nsupdate timeout test case\n"));
+            DEBUG(SSSDBG_FUNC_DATA, "nsupdate timeout test case\n");
             err = 2;
             sleep(3);
             break;
         default:
-            DEBUG(SSSDBG_CRIT_FAILURE, ("unknown test case\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "unknown test case\n");
             err = 255;
             break;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("Child exiting with status %d\n", err));
+    DEBUG(SSSDBG_TRACE_LIBS, "Child exiting with status %d\n", err);
     _exit(err);
 }
 
@@ -218,7 +218,7 @@ void dyndns_test_ok(void **state)
     /* Wait until the test finishes with EOK */
     ret = test_ev_loop(dyndns_test_ctx->tctx);
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Child request returned [%d]: %s\n", ret, strerror(ret)));
+          "Child request returned [%d]: %s\n", ret, strerror(ret));
     assert_int_equal(ret, EOK);
 
     assert_true(WIFEXITED(dyndns_test_ctx->child_status));
@@ -249,7 +249,7 @@ void dyndns_test_error(void **state)
     /* Wait until the test finishes with EIO (child error) */
     ret = test_ev_loop(dyndns_test_ctx->tctx);
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Child request returned [%d]: %s\n", ret, strerror(ret)));
+          "Child request returned [%d]: %s\n", ret, strerror(ret));
     assert_int_equal(ret, ERR_DYNDNS_FAILED);
 
     assert_true(WIFEXITED(dyndns_test_ctx->child_status));
@@ -292,7 +292,7 @@ void dyndns_test_timeout(void **state)
     tevent_loop_once(dyndns_test_ctx->tctx->ev); /* nsupdate_child_handler */
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Child request returned [%d]: %s\n", ret, strerror(ret)));
+          "Child request returned [%d]: %s\n", ret, strerror(ret));
     assert_int_equal(ret, ERR_DYNDNS_TIMEOUT);
 
     assert_true(check_leaks_pop(tmp_ctx) == true);
@@ -334,7 +334,7 @@ void dyndns_test_interval(void **state)
     /* Wait until the timer hits */
     ret = test_ev_loop(dyndns_test_ctx->tctx);
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Child request returned [%d]: %s\n", ret, strerror(ret)));
+          "Child request returned [%d]: %s\n", ret, strerror(ret));
     assert_int_equal(ret, ERR_OK);
 
     talloc_free(dyndns_test_ctx->update_ctx);
